
import test_helper

def test_repo_metadata(tester):

    tester.startTest("Test Resource MetaData")

    repo = test_helper.GetRepo(tester)

    md = repo.fetchResource('.;metadata')

    tester.compare(md,repo.getMetaDataResource())
    tester.compare(repo,repo.getContentResource())
    tester.compare(md,md.getMetaDataResource())
    tester.compare(repo,md.getContentResource())

    repo.txRollback()
    tester.testDone()

def Test(tester):


    test_repo_metadata(tester)
